background = {}

function background:load()
	self.objects = {}
	self.spawnRate = 2
	self.tick = 0
	self.speed = screen.height * 0.2
	self:resize(screen.width, screen.height)
end

function background:update(dt)
	if showBackground then
		self.tick = self.tick + dt
		if self.tick > (1 / self.spawnRate) then
			self.objects[#self.objects + 1] = {
				x = math.random(screen.width),
				y = -100,
				t = math.random(math.pi * 2),
				tile = math.random(tile.tileCount),
				val = math.random()
			}
			self.tick = 0
		end

		for i,v in ipairs(self.objects) do
			v.y = v.y + self.speed * v.val * dt

			if v.val < 0.5 then
				v.t = v.t + v.val * dt
			else
				v.t = v.t - v.val * dt
			end

			if v.y > screen.height + 100 then
				table.remove(self.objects, i)
			end
		end
	end
end

function background:draw()
	--love.graphics.setColor(255, 255, 255, 126)
	--love.graphics.draw(self.gradient, 0, 0)
	if showBackground then
		for i,v in ipairs(self.objects) do
			love.graphics.setColor(color[1])
			setAlpha(0.5 * v.val)
			love.graphics.draw(tile.img, tile.quad[v.tile], v.x + (game.tileSize / 2), v.y + (game.tileSize / 2), 0, 4 * v.val, 4 * v.val, tile.imgTileSize / 2, tile.imgTileSize / 2)
		end
	end
end

function background:resize(w, h)
	self.gradient = verticalGradient(w, h, {color[2][1], color[2][2], color[2][3]}, {0, 0, 0})
end